Subject: Fwd: EH-201808152115-422426 - Serious issue
From: Ashish Dabral <[email-masked]>
To: Subhojit Hati <[email-masked]>
Date: Wed, 29 Aug 2018 11:10:04 +0530 (IST)

FYI 

Regards, 
Ashish Dabral 

From: "phaedrusrf" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Cc: "deeksha" <[email-masked]> 
Sent: Tuesday, August 28, 2018 8:34:10 PM 
Subject: Re: EH-201808152115-422426 - Serious issue 

Subho 
I listened to the call. You did not confirm the shipping address phonetically. You could have simply taken the zip code of the shipping address and his name to pull up the previous order details. You did not sound quite helpful when the customer clearly mentioned that he was offered a certain discounted price by Kae earlier that day. It could have been handled in a much better way. 
Please be very careful with the repeat customers cause if Sam comes to know of such mistakes, we will have some serious trouble. 
I can understand the frustration of the customer and probably he lied about the wrong product receipt to make it worse. Of course, we won't take that in but the shipping address is a MAJOR concern that shadows everything else and we have to account for the mistake. Please be careful of each and every single detail when you place the order over the phone, I confirm the address phonetically and a couple of more times to ensure there is no mistake. 

I will explain this to Deb in the best way I can, but please be very cautious in the future. 

Thanks 
Arif 
Cheers to life :-) 

On Tue, Aug 28, 2018 at 7:26 PM Phaedrus Arif < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Thanks, I'll check them out. 

On Tue, 28 Aug 2018, 19:25 Ashish Dabral, < [ mailto:[email-masked] | [email-masked] ] > wrote: 

BQ_BEGIN

Hi Arif, 

I found two calls from the this customer. Both sent you on Skype. 

Regards, 
Ashish Dabral 

From: "deeksha" < [ mailto:[email-masked] | [email-masked] ] > 
To: "Ashish Dabral" < [ mailto:[email-masked] | [email-masked] ] >, "phaedrusrf" < [ mailto:[email-masked] | [email-masked] ] > 
Sent: Tuesday, August 28, 2018 7:07:36 PM 
Subject: FW: EH-201808152115-422426 - Serious issue 

Please send the call recording to Arif asap 

From: Phaedrus Arif < [ mailto:[email-masked] | [email-masked] ] > 
Date: Tuesday, 28 August 2018 at 7:05 PM 
To: Deeksha Dadu < [ mailto:[email-masked] | [email-masked] ] > 
Cc: Subhojit Hati < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Re: EH-201808152115-422426 - Serious issue 

Subho 

Please send me the call recording asap. I need to listen to it. Deb is also asking for an explanation (ZD 55782) . 

Thanks 
Arif 
Cheers to life :-) 

On Tue, Aug 28, 2018 at 10:03 AM Phaedrus Arif < [ mailto:[email-masked] | [email-masked] ] > wrote: 

BQ_BEGIN

Yes, I have done. 

I'll take care of it if Sam comes back at us. 

Thanks 

On Tue, 28 Aug 2018, 09:33 Deeksha Dadu, < [ mailto:[email-masked] | [email-masked] ] > wrote: 

BQ_BEGIN

Hi Subho, 

Did you place the order for the wrong product? It is not customer’s responsibility to notice his receipt and call us if the product is wrong. It is ours to be 100 percent sure that we have placed the order for the correct product. 

And yes, if you don’t copy paste the address, you should always verify the address to make sure there is no discrepancy. 

@ Arif: please personally follow this up to make sure that customer receives the second shipment and does not escalate to Sam. 

Regards, 
Deeksha 

Sent from my iPhone 

On 28 Aug 2018, at 03:52, Subhojit Hati < [ mailto:[email-masked] | [email-masked] ] > wrote: 

BQ_BEGIN

Hi, 

Thank you for the heads up. 

I listened to the call. Yeah I didn't copy paste the order because I couldn't realize he is a repeat customer as he never specified that on the call, if you listen to the call recording, I confirmed twice (Elmond) and customer said yes hence I cannot help it however next time on wards I will stick to spelling the address to avoid such errors. 

He said he was offered a discount of 10% off and free shipping in the previous call, I told him I can't offer both the discounts together (that's what the order page was telling me) and ultimately he was asking for complaint details and I asked him to email us as we don't have any specific complaint procedure. Because the discount coupon wasn't working I couldn't help it. As he was insistent I had to finally provide him 15% off . I am not sure why he received BFO instead of BPO, if he did receive the confirmation for wrong product and address, he could have called us immediately to rectify it. 

It is very obvious for someone to be angry if you don't offer them what they want so I think he was unhappy because I was educating him in accordance with the policies and he had an expectation of a certain discount as he was misinformed on the previous call. 

Regards, 
Subhojit 

From: "Phaedrus Arif" < [ mailto:[email-masked] | [email-masked] ] > 
To: "Deeksha Dadu" < [ mailto:[email-masked] | [email-masked] ] >, "Subhojit Hati" < [ mailto:[email-masked] | [email-masked] ] > 
Sent: Tuesday, August 28, 2018 12:29:41 AM 
Subject: EH-201808152115-422426 - Serious issue 

Hi Deeksha 
Order:EH-201808152115-422426 
Name: Mario Nickenig 
This guy placed an order over the phone with Joe/Subho and he verified his shipping address several times which Joe didn't enter correctly and also the product on the order receipt received by the customer was for BFO instead of BPO. 
So, he never received his order until now and is super pissed off. He wanted to talk to Sam/Mike and is going to email him anyway explaining and demanding to get Joe fired cause of this mistake. I thought to better let you and Subho know about this. 
He complained that Joe was not helpful when the customer called back to get the information rectified and was responded in a negligent manner which he did not like. 
He wanted to be refunded immediately but I convinced him to get the order reshipped since he certainly wants the product and is a repeat customer, so it's been escalated to Deb. 
I don't understand why didn't Subho copy paste the shipping address from the previous order instead got the street address misspelled: 
522 Elmond Ave instead 522 W. Hellman Ave. 

Anyway, I hope he doesn't write to Sam but if he does then we have to deal with this as it comes. 

Thanks 
Arif 
Cheers to life :-) 

BQ_END

BQ_END

BQ_END

BQ_END